- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QXmlStreamEntityDeclaration Class Reference

Search for all occurrences

## Detailed Description

Definition at line 250 of file qxmlstream.h.

`#include <qxmlstream.h>`

List of all members.

## Public Member Functions
| QXmlStreamEntityDeclaration ()
| ~QXmlStreamEntityDeclaration ()
| QXmlStreamEntityDeclaration (const QXmlStreamEntityDeclaration &)
QXmlStreamEntityDeclaration & | operator= (const QXmlStreamEntityDeclaration &)
QStringRef | name () const
QStringRef | notationName () const
QStringRef | systemId () const
QStringRef | publicId () const
QStringRef | value () const
bool | operator== (const QXmlStreamEntityDeclaration &other) const
bool | operator!= (const QXmlStreamEntityDeclaration &other) const
## Friends
class | QXmlStreamReaderPrivate

## Constructor & Destructor Documentation

QXmlStreamEntityDeclaration | ( |  | ) |

~QXmlStreamEntityDeclaration | ( |  | ) |

QXmlStreamEntityDeclaration | ( | const QXmlStreamEntityDeclaration & |  | ) |

## Member Function Documentation

QXmlStreamEntityDeclaration& operator= | ( | const QXmlStreamEntityDeclaration & |  | ) |

QStringRef name | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 260 of file qxmlstream.h.

    { return m_name; }

QStringRef notationName | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 261 of file qxmlstream.h.

    { return m_notationName; }

QStringRef systemId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 262 of file qxmlstream.h.

    { return m_systemId; }

QStringRef publicId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 263 of file qxmlstream.h.

    { return m_publicId; }

QStringRef value | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 264 of file qxmlstream.h.

    { return m_value; }

bool operator== | ( | const QXmlStreamEntityDeclaration & | other | ) | const `[inline]`

Definition at line 265 of file qxmlstream.h.

                                                                               {
            return (name() == other.name()
                    && notationName() == other.notationName()
                    && systemId() == other.systemId()
                    && publicId() == other.publicId()
                    && value() == other.value());
        }

bool operator!= | ( | const QXmlStreamEntityDeclaration & | other | ) | const `[inline]`

Definition at line 272 of file qxmlstream.h.

            { return !operator==(other); }

## Friends And Related Function Documentation

friend class QXmlStreamReaderPrivate `[friend]`

Search for all occurrences

Definition at line 254 of file qxmlstream.h.

The documentation for this class was generated from the following file:

- QtCore/qxmlstream.h

QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration
QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration QXmlStreamEntityDeclaration